Summary: Utilities for the XFce Desktop Environment
Name: xfce-utils
Version: 4.4.0
Release: alt0.M40.2
License: GPL
Url: http://www.xfce.org/
Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2
Patch1: xfce-utils-altlinux-gdm.patch
Patch2: xfce-utils-session-icon.patch

Group: Graphical desktop/XFce
Packager: Eugene Ostapets <eostapets@altlinux.ru>

BuildPreReq: libxfce4util-devel >= %version, libxfcegui4-devel >= %version, xfce4-dev-tools >= 4.4.0
BuildPreReq: xfce-mcs-manager-devel >= %version libxfce4mcs-devel >= %version

Requires: libxfcegui4 >= %version
Requires: libxfce4mcs >= %version
Requires: xfce-mcs-manager, libgtk+2-common
# Automatically added by buildreq on Mon Oct 30 2006
BuildRequires: fontconfig gcc-c++ imake libSM-devel libX11-devel libdbus-glib-devel libgtk+2-devel libstartup-notification libxfce4util-devel libxfcegui4-devel xfce4-dev-tools xorg-cf-files xfce-mcs-manager-devel

%description
xfce-utils contains utilities for the XFce Desktop Environment

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%__aclocal -I %_datadir/xfce4/dev-tools/m4macros
%__automake
%__autoconf
%configure  \
	--enable-final \
	--enable-gdm \
	--with-gdm-prefix=%_sysconfdir/X11 \
	--enable-dbus \
	--enable-debug=no \
	--with-vendor-info=ALTLinux \
	--with-browser=seamonkey \
	--with-terminal=Terminal

%make

%install
%make_install install DESTDIR=%buildroot
%find_lang %name

%post
/usr/bin/gtk-update-icon-cache
ln -s /etc/altlinux-release /usr/share/xfce4/ALTLinux

%postun
/usr/bin/gtk-update-icon-cache

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%_bindir/*
%_datadir/apps/*
%_datadir/xfce4/*
%config(noreplace) %_x11sysconfdir/sessions/xfce.desktop
%config(noreplace) %_x11sysconfdir/gdm/Sessions/XFce4
%config(noreplace) %_x11sysconfdir/wmsession.d/10XFce4
%config(noreplace) %_sysconfdir/xdg/xfce4/xinitrc
%_datadir/dbus-1/services/org.xfce.RunDialog.service
%_liconsdir/*
%_datadir/xsessions/xfce.desktop

%changelog
* Wed Dec 26 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.4.0-alt0.M40.2
- added link to release file for xfce4-about 

* Fri Dec 21 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.4.0-alt0.M40.1
- added 'pauseme' script needed to start text mode apps from menu

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 4.3.99.2-alt2.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Fri Nov 10 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt2
- add icon for wm-select (bug 10240)
- strict library version build requires

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt2
- Fix buildreq and cleanup spec 

* Sat Sep 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- first build

